# class KJavaAppletWidget | A Java applet. More...
Definition | `#include <kjavaappletwidget.h>`
Inherits | KJavaEmbed [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KJavaAppletWidget ( KJavaAppletContext* context, QWidget* parent=0, const char* name=0 )
- ~KJavaAppletWidget ()
- KJavaApplet* applet ()
- void showApplet ()
- QSize sizeHint ()
- void resize ( int, int )

#### Protected Slots

- void setWindow ( WId w )

#### Protected Members

- static int appletCount

## Detailed Description

This class encapsulates the data the Applet Server needs to load the Applet class files, and set the proper size of the Applet. It also has an interface for applets to resize themselves.

KJavaAppletWidget ( KJavaAppletContext* context, QWidget* parent=0, const char* name=0 ) | ### KJavaAppletWidget

~KJavaAppletWidget () | ### ~KJavaAppletWidget

KJavaApplet* applet () | ### applet

Returns a pointer to the KJavaApplet. Use this to configure the applet's parameters. You can also use it to start and stop the Applet.

void showApplet () | ### showApplet

Tells the AppletServer to create, initialize, and show the Applet.

QSize sizeHint () | ### sizeHint

Reimplemented from KJavaEmbed.

void resize ( int, int ) | ### resize

Reimplemented from QWidget.

void setWindow ( WId w ) | ### setWindow

[protected slots slot]

This slot is called by KWin when new windows are added. We check to see if the window has the title we set. If so we embed it.

static int appletCount | ### appletCount

[protected]

- Version: $Id: kjavaapplet.h,v 1.12 2001/01/21 23:51:48 wynnw Exp $
- Author: Wynn Wilkes, wynnw@kde.org
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:45:56 2001, using kdoc 2.0a53.